## mrc 1.2.3

=== debian/changelog ===
mrc (1.2.3-2) unstable; urgency=medium

  * Fix a copy/paste bug in 64 bit support
  * Add a define for PATH_MAX (needed for hurd)

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Sun, 08 Nov 2020 19:30:06 +0100

mrc (1.2.3-1) unstable; urgency=medium

  * New upstream version supporting any architecture. 

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Thu, 29 Oct 2020 19:56:53 +0100

mrc (1.2.2-2) unstable; urgency=medium

  * Team upload.
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 23 Oct 2020 08:18:11 +0200

mrc (1.2.2-1) unstable; urgency=medium

  * Initial release (Closes: #970087)

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Fri, 11 Sep 2020 10:39:06 +0200
