=== debian/control ===
Source: mrc
Section: devel
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>
Build-Depends: debhelper-compat (= 13), autoconf-archive,
               libboost-dev, libboost-program-options-dev
Standards-Version: 4.5.0
Homepage: https://github.com/mhekkel/mrc
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/med-team/mrc
Vcs-Git: https://salsa.debian.org/med-team/mrc.git

Package: mrc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: resource compiler to store data in ELF object files
 This package contains the mrc resource compiler. Use it to bundle
 data files into an executable. Using the enclosed header file,
 you can access these resources from your C++ code.
