=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%mrc-$1.tar.gz%" \
   https://github.com/mhekkel/mrc/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
