## mrc 1.3.4

=== debian/changelog ===
mrc (1.3.4-1) unstable; urgency=medium

  * New upstream release (with cmake config file)

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Wed, 13 Oct 2021 15:53:16 +0200

mrc (1.3.3-2) unstable; urgency=medium

  * Remove 64-bit patch, it was simply incorrect

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Fri, 03 Sep 2021 10:11:14 +0200

mrc (1.3.3-1) unstable; urgency=medium

  * New upstream version, adding ABI flag.
  * Should fix build issues on most platforms (Closes: #989051)

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Thu, 02 Sep 2021 17:18:35 +0200

mrc (1.3.2-1) unstable; urgency=medium

  * New upstream version.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Thu, 02 Sep 2021 09:53:49 +0200
