=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>
 Build-Depends: debhelper-compat (= 13), autoconf-archive,
-               libboost-dev, libboost-program-options-dev
-Standards-Version: 4.5.0
+               libboost-dev, libboost-program-options-dev, cmake
+Standards-Version: 4.6.0
 Homepage: https://github.com/mhekkel/mrc
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/med-team/mrc
