=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>
-Build-Depends: debhelper-compat (= 13), autoconf-archive,
+Build-Depends: debhelper-compat (= 13), autoconf-archive, libmcfp-dev,
                libboost-dev, libboost-program-options-dev, cmake
 Standards-Version: 4.6.0
 Homepage: https://github.com/mhekkel/mrc
