## mrc 1.3.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 # set the project name
-project(mrc VERSION 1.3.6)
+project(mrc VERSION 1.3.10)
 
 include(Dart)
 include(FindFilesystem)
@@ -38,9 +38,14 @@
 if(MSVC)
 	# make msvc standards compliant...
 	add_compile_options(/permissive-)
+endif()
 
+if(WIN32)
 	# Windows is always little endian, right?
 	add_compile_definitions(LITTLE_ENDIAN)
+
+	# And we certainly don't need those pesky min/max macro's
+	add_compile_definitions(NOMINMAX)
 
 	# Find out the processor type for the target
 	if(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "AMD64")
@@ -54,9 +59,11 @@
 	endif()
 
 	set(COFF_SPEC "--coff=${COFF_TYPE}")
+
+	message(STATUS "Using COFF spec: ${COFF_SPEC}")
 endif()
 
-find_package(libmcfp QUIET)
+find_package(libmcfp 1.2.4 QUIET)
 if(NOT libmcfp_FOUND)
 	add_subdirectory(libmcfp EXCLUDE_FROM_ALL)
 endif()
