=== debian/changelog ===
mrc (1.3.10-1) unstable; urgency=medium

  * New upstream
  * Should fix the issue with rewriting the revision.hpp file
    (Closes: #1048225)

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Tue, 15 Aug 2023 08:55:11 +0200
