=== debian/tests/control ===
Tests: run-build-test
Depends: build-essential, cmake, mrc
Restrictions: allow-stderr
