## mrc 1.3.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,15 +25,13 @@
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 # set the project name
-project(mrc VERSION 1.3.10)
+project(mrc VERSION 1.3.13)
 
-include(Dart)
-include(FindFilesystem)
+include(CTest)
 
-set(CMAKE_CXX_STANDARD 17)
+set(CXX_EXTENSIONS OFF)
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
-
-find_package(Filesystem REQUIRED)
 
 if(MSVC)
 	# make msvc standards compliant...
@@ -64,8 +62,17 @@
 endif()
 
 find_package(libmcfp 1.2.4 QUIET)
+
 if(NOT libmcfp_FOUND)
-	add_subdirectory(libmcfp EXCLUDE_FROM_ALL)
+	include(FetchContent)
+
+	FetchContent_Declare(
+		libmcfp
+		GIT_REPOSITORY https://github.com/mhekkel/libmcfp
+		GIT_TAG v1.2.4
+	)
+
+	FetchContent_MakeAvailable(libmcfp)
 endif()
 
 include(VersionString)
@@ -79,13 +86,23 @@
 add_executable(mrc ${PROJECT_SOURCE_DIR}/src/mrc.cpp ${CMAKE_BINARY_DIR}/mrc-rsrc.obj)
 add_executable(mrc-bootstrap ${PROJECT_SOURCE_DIR}/src/mrc.cpp ${PROJECT_SOURCE_DIR}/src/dummy.cpp)
 
-target_link_libraries(mrc std::filesystem libmcfp::libmcfp)
-target_link_libraries(mrc-bootstrap std::filesystem libmcfp::libmcfp)
+target_link_libraries(mrc libmcfp::libmcfp)
+target_link_libraries(mrc-bootstrap libmcfp::libmcfp)
 
-if(ENABLE_TESTING)
-	enable_testing()
+if(BUILD_TESTING)
+	find_package(Catch2 3 QUIET)
 
-	find_package(Boost REQUIRED)
+	if(NOT Catch2_FOUND)
+		Include(FetchContent)
+
+		FetchContent_Declare(
+			Catch2
+			GIT_REPOSITORY https://github.com/catchorg/Catch2.git
+			GIT_TAG v3.5.2 # or a later release
+		)
+
+		FetchContent_MakeAvailable(Catch2)
+	endif()
 
 	file(GLOB UNIT_TEST_RSRC LIST_DIRECTORIES true ${PROJECT_SOURCE_DIR}/rsrc/*)
 
@@ -93,9 +110,9 @@
 		COMMAND $<TARGET_FILE:mrc-bootstrap> -o mrc-unit-test-rsrc.obj ${UNIT_TEST_RSRC} ${COFF_SPEC}
 		DEPENDS ${UNIT_TEST_RSRC} mrc-bootstrap
 	)
-	
+
 	add_executable(mrc-unit-test ${PROJECT_SOURCE_DIR}/src/mrc-unit-test.cpp ${CMAKE_BINARY_DIR}/mrc-unit-test-rsrc.obj)
-	target_link_libraries(mrc-unit-test Boost::boost)
+	target_link_libraries(mrc-unit-test Catch2::Catch2WithMain)
 
 	add_test(NAME unit-test COMMAND $<TARGET_FILE:mrc-unit-test> WORKING_DIRECTORY .)
 endif()
@@ -110,4 +127,6 @@
 	install(FILES doc/mrc.1 DESTINATION share/man/man1)
 endif()
 
-install(DIRECTORY example DESTINATION share/doc/mrc/)
+install(DIRECTORY examples DESTINATION share/doc/mrc/)
+
+# add_subdirectory(examples/simple)
