=== debian/changelog ===
mrc (1.3.13-2) unstable; urgency=medium

  * Fix autopkgtest

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Mon, 28 Oct 2024 20:51:03 +0100

mrc (1.3.13-1) unstable; urgency=medium

  * patch versionstring.cmake
  * update dependency on libmcfp, cleanup
  * New upstream version 1.3.13

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Mon, 28 Oct 2024 19:32:07 +0100
