=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>
 Build-Depends: debhelper-compat (= 13), autoconf-archive, libmcfp-dev (>= 1.2.4),
-               libboost-dev, libboost-program-options-dev, cmake
+               libboost-dev, libboost-program-options-dev, cmake, catch2
 Standards-Version: 4.6.0
 Homepage: https://github.com/mhekkel/mrc
 Rules-Requires-Root: no
