## mrc 1.3.14

=== debian/changelog ===
mrc (1.3.14-1) unstable; urgency=medium

  * Fix mrc-config.cmake file.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Mon, 20 Jan 2025 09:19:24 +0100
