## mrc 1.3.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 # set the project name
-project(mrc VERSION 1.3.13)
+project(mrc VERSION 1.3.15)
 
 include(CTest)
 
@@ -61,18 +61,18 @@
 	message(STATUS "Using COFF spec: ${COFF_SPEC}")
 endif()
 
-find_package(libmcfp 1.2.4 QUIET)
+find_package(mcfp 1.3.5 QUIET)
 
-if(NOT libmcfp_FOUND)
+if(NOT mcfp_FOUND)
 	include(FetchContent)
 
 	FetchContent_Declare(
-		libmcfp
+		mcfp
 		GIT_REPOSITORY https://github.com/mhekkel/libmcfp
-		GIT_TAG v1.2.4
+		GIT_TAG v1.3.5
 	)
 
-	FetchContent_MakeAvailable(libmcfp)
+	FetchContent_MakeAvailable(mcfp)
 endif()
 
 include(VersionString)
@@ -86,8 +86,8 @@
 add_executable(mrc ${PROJECT_SOURCE_DIR}/src/mrc.cpp ${CMAKE_BINARY_DIR}/mrc-rsrc.obj)
 add_executable(mrc-bootstrap ${PROJECT_SOURCE_DIR}/src/mrc.cpp ${PROJECT_SOURCE_DIR}/src/dummy.cpp)
 
-target_link_libraries(mrc libmcfp::libmcfp)
-target_link_libraries(mrc-bootstrap libmcfp::libmcfp)
+target_link_libraries(mrc mcfp::mcfp)
+target_link_libraries(mrc-bootstrap mcfp::mcfp)
 
 if(BUILD_TESTING)
 	find_package(Catch2 3 QUIET)
@@ -98,7 +98,7 @@
 		FetchContent_Declare(
 			Catch2
 			GIT_REPOSITORY https://github.com/catchorg/Catch2.git
-			GIT_TAG v3.5.2 # or a later release
+			GIT_TAG v3.8.0 # or a later release
 		)
 
 		FetchContent_MakeAvailable(Catch2)
@@ -112,9 +112,14 @@
 	)
 
 	add_executable(mrc-unit-test ${PROJECT_SOURCE_DIR}/src/mrc-unit-test.cpp ${CMAKE_BINARY_DIR}/mrc-unit-test-rsrc.obj)
-	target_link_libraries(mrc-unit-test Catch2::Catch2WithMain)
 
-	add_test(NAME unit-test COMMAND $<TARGET_FILE:mrc-unit-test> WORKING_DIRECTORY .)
+	if(TARGET Catch2::Catch2WithMain)
+		target_link_libraries(mrc-unit-test Catch2::Catch2WithMain)
+
+		add_test(NAME unit-test COMMAND $<TARGET_FILE:mrc-unit-test> WORKING_DIRECTORY .)
+	else()
+		message(WARNING "No Catch2::Catch2WithMain target, something is wrong")
+	endif()
 endif()
 
 install(TARGETS mrc)
