=== debian/changelog ===
mrc (1.3.15-2) unstable; urgency=medium

  * fix libmcfp dependency

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Tue, 28 Jan 2025 17:36:29 +0100

mrc (1.3.15-1) unstable; urgency=medium

  * New upstream version 1.3.15

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Tue, 28 Jan 2025 13:43:55 +0100
