=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>
-Build-Depends: debhelper-compat (= 13), autoconf-archive, libmcfp-dev (>= 1.2.4),
-               libboost-dev, libboost-program-options-dev, cmake, catch2
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), autoconf-archive, libmcfp-dev (>= 1.3.5-2~),
+               cmake, libcatch2-dev
+Standards-Version: 4.6.2
 Homepage: https://github.com/mhekkel/mrc
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/med-team/mrc
