=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>
-Build-Depends: debhelper-compat (= 13), autoconf-archive, libmcfp-dev (>= 1.3.5-2~),
+Build-Depends: debhelper-compat (= 13), autoconf-archive, libmcfp-dev (>= 1.4.2-1~),
                cmake, libcatch2-dev
 Standards-Version: 4.6.2
 Homepage: https://github.com/mhekkel/mrc
